aio_fsync64(3)

NAME
aio_fsync64 - Synchronize a file's complete in-core state with that on disk

SYNOPSYS
#include <errno.h>

#include <aio.h>

int aio_fsync64 (int op, struct aiocb64 *aiocbp)

DESCRIPTION
This function is similar to aio_fsync with the only difference that the argument is a reference to a variable of type struct aiocb64. When the sources are compiled with _FILE_OFFSET_BITS == 64 this function is available under the name aio_fsync and so transparently replaces the interface for small files on 32 bit machines.

RETURN VALUES
See aio_fsync.

ERRORS
See aio_fsync.

SEE ALSO
aio(3), aio_cancel(3), aio_cancel64(3), aio_error(3), aio_error64(3), aio_fsync(3), aio_init(3), aio_read(3), aio_read64(3), aio_return(3), aio_return64(3), aio_suspend(3), aio_suspend64(3), aio_write(3), aio_write64(3), errno(3),